#!/bin/sh


# Symantec shared defs settings (hawkings)
SymShared=/opt/Symantec
SymSettings=/etc/Symantec.conf
SymDefs=$SymShared/virusdefs
SymInc=$SymDefs/incoming
ShadowFlag='shadow.iu'

case $1 in
  enable)
    # add the avdefs group (if necessary)
    grep "^avdefs:" /etc/group >/dev/null || groupadd avdefs

    # Setup Symantec Global Settings file (if necessary)
    if [ ! -f $SymSettings ]; then
        echo [Symantec Shared] > $SymSettings
        echo BaseDir=$SymShared >> $SymSettings
    fi

    # Setup Symantec shared base directory (if necessary)
    if [ ! -d $SymShared ]; then
        mkdir -p $SymShared
        chown root:root $SymShared
        chmod 755 $SymShared
    fi

    # Setup Symantec shared defs directory (if necessary)
    if [ ! -d $SymDefs ]; then
        mkdir -p $SymDefs
        chown root:avdefs $SymDefs
        chmod 775 $SymDefs
    fi

    # Setup Symantec incoming defs directory (if necessary)
    if [ ! -d $SymInc ]; then
        mkdir -p $SymInc
        chown root:avdefs $SymInc
        chmod 770 $SymInc
    fi

    # Tell CSSAPI component to shadow hawkings definitions
    echo 'Enabled' > $ShadowFlag
    ;;
  disable)
    # Tell CSSAPI component not to shadow hawkings definitions
    rm -f $ShadowFlag
    ;;
  *)
    echo "Usage: $0 enable|disable"
    exit 1
    ;;
esac

# done
exit 0
